Name: qmailadmin
Version: 1.2.13
Release: 3%{?dist}
Summary: a web interface for managing a qmail system with virtual domains

Group: Utilities/System
License: GPL
URL: http://www.inter7.com/%{name}.html
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1: http://www.inter7.com/devel/qmailadmin-help-1.0.8.tar.gz
Source2: qmailadmin.httpd.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: vpopmail-devel >= 5.4.16 , automake
Requires(Pre): vpopmail
Requires: qmail, ezmlm

# This is where we install our httpd.conf snippet
%define httpdConfDir	%{_sysconfdir}/httpd/conf.d
%define httpdDocRoot	%{_localstatedir}/www/html
%define qmailHome	%{_sysconfdir}/qmail
%define qmailadminVar	%{_localstatedir}/qmailadmin
%define vpopmailHome	%{_sysconfdir}/vpopmail
%define qaDocRoot	%{httpdDocRoot}/qmailadmin


# Change the login screen to say "Email Address" instead of "User Account"
Patch0: qmailadmin.username.patch

# Allow building as something other than the root user
Patch1: qmailadmin.nonroot.patch


%description
qmailadmin is a free software package that provides a web interface for 
managing a qmail system with virtual domains. It provides an admin for 
adding and delting aliases, forwards, mailing lists and autoresponders. It 
features automatic international language support via the user's language 
settings on their browser.


%prep
%setup -q
%setup -D -T -a 1 -q
%patch0
%patch1
autoreconf

%configure \
 --datadir=%{_datadir}/%{name} \
 --enable-htmllibdir=%{_datadir}/%{name} \
 --enable-htmldir=%{_datadir}/%{name} \
 --enable-cgibindir=%{_datadir}/%{name} \
 --enable-imageurl=/%{name}/images \
 --enable-imagedir=%{_datadir}/%{name}/images \
 --enable-cgipath=/qmailadmin/index.cgi \
 --enable-vpopmaildir=%{vpopmailHome} \
 --enable-qmaildir=%{qmailHome} \
 --enable-ezmlmdir=%{_bindir} \
 --enable-autoresponder-path=%{_bindir} \
 --enable-vpopuser=vpopmail \
 --enable-vpopgroup=vchkpw \
 --enable-maxusersperpage=20 \
 --enable-maxaliasesperpage=25 \
 --enable-modify-quota=y \
 --enable-ezmlm-mysql=y \
 --enable-modify-spam=n \
 --enable-help=y \
 --disable-domain-autofill \
 --enable-no-cache \
 --disable-ipauth


%build
make %{?_smp_mflags}


%install
rm -fR %{buildroot}

install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{httpdConfDir}

make install DESTDIR=%{buildroot}

pushd %{buildroot}%{_datadir}/%{name}
  ln -s qmailadmin index.cgi
  %{__perl} -pi -e "s|##Z/help/|help/|g" html/*.html
  %{__perl} -pi -e "s|help/index.html|help/|g" html/*.html
popd

install -m 644 %{SOURCE2} %{buildroot}%{httpdConfDir}/qmailadmin.conf

cp -pfR qmailadmin-help-1.0.8 %{buildroot}%{_datadir}/%{name}/help


%post
/sbin/service httpd status >/dev/null && /sbin/service httpd reload >/dev/null || :


%postun
/sbin/service httpd status >/dev/null && /sbin/service httpd reload >/dev/null || :


%clean
rm -fR %{buildroot}


%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPYING FAQ INSTALL NEWS README* TODO TRANSLATORS

%attr(6755,vpopmail,vchkpw) %{_datadir}/%{name}/index.cgi
%attr(6755,vpopmail,vchkpw) %{_datadir}/%{name}/qmailadmin
%config(noreplace) %{httpdConfDir}/%{name}.conf
%{_datadir}/%{name}


%changelog
* Tue May 13 2014 Japheth Cleaver <cleaver@terabithia.org> 1.2.13-3
- rebuild with ezmlm-idx

* Mon Sep 30 2013 Japheth Cleaver <cleaver@terabithia.org> 1.2.13-2
- rebuild
- change Prereq to Requires(pre)

* Mon Sep 28 2009 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.2.13-1
- rebuild and upgrade to 1.2.13

* Thu Dec 27 2007 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.2.12-1
- rebuild with vpopmail 5.4.26 and upgrade to 1.2.12

* Thu Aug 23 2007 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.2.11-2
- rebuild with vpopmail 5.4.19 delete patch

* Thu Aug 16 2007 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.2.11-1
- update to 1.2.11

* Wed Jan 08 2007 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.2.10-7
- rebuild

* Wed Dec 20 2006 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.2.10-6
- rebuild
- add ezmlm to Requires

* Wed Aug 02 2006 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.2.10-5
- rebuild

* Fri May 12 2006 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.2.10-4
- rename patch file

* Mon May 08 2006 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.2.10-3
- rebuild with vpopmail 5.4.16

* Sun Apr 30 2006 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.2.10-2
- patch for non-root builds

* Thu Apr 27 2006 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.2.10-1
- upgrade to 1.2.10
- minor spec file tweaks
- insert index.html into DirectoryIndex to allow for maintenance pages

* Wed Apr 26 2006 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.2.3-3
- Add enable-no-cache

* Mon Nov 21 2005 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.2.3-2
- Build for MySQL 5, FC5
- Add vpopmail to BuildRequires

* Mon Mar 14 2005 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.2.3-1
- Updated to 1.2.3

* Sun Feb 29 2004 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.0.29-1
- Added qmailadmin-help files (v1.0.8)

* Thu Jan 22 2004 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.0.29-0.8
- Created new spec file

